VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL prgdin(0)
        SIGNAL prgdin(1)
        SIGNAL chraout(13)
        SIGNAL chraout(14)
        SIGNAL XLXN_11
        SIGNAL mirrorwr
        SIGNAL m2
        SIGNAL chraout(14:13)
        SIGNAL prgdin(7:0)
        SIGNAL XLXN_79
        SIGNAL prgr_w
        SIGNAL prg_ce
        SIGNAL horizontal
        SIGNAL vertical
        PORT Input mirrorwr
        PORT Input m2
        PORT Output chraout(14:13)
        PORT Input prgdin(7:0)
        PORT Input prgr_w
        PORT Input prg_ce
        PORT Output horizontal
        PORT Output vertical
        BEGIN BLOCKDEF fd4ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 0 -384 64 -384 
            LINE N 0 -448 64 -448 
            LINE N 0 -320 64 -320 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fdce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 64 -48 64 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd4ce
            BEGIN ATTR INIT 0
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
                VALUETYPE Integer
            END ATTR
            PIN C m2
            PIN CE XLXN_79
            PIN CLR XLXN_11
            PIN D0 prgdin(0)
            PIN D1 prgdin(1)
            PIN D2
            PIN D3
            PIN Q0 chraout(13)
            PIN Q1 chraout(14)
            PIN Q2
            PIN Q3
        END BLOCK
        BEGIN BLOCK XLXI_4 fdce
            PIN C m2
            PIN CE mirrorwr
            PIN CLR XLXN_11
            PIN D prgdin(0)
            PIN Q vertical
        END BLOCK
        BEGIN BLOCK XLXI_2 gnd
            PIN G XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_14 and2b2
            PIN I0 prg_ce
            PIN I1 prgr_w
            PIN O XLXN_79
        END BLOCK
        BEGIN BLOCK XLXI_15 inv
            PIN I vertical
            PIN O horizontal
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        BEGIN BRANCH prgdin(0)
            WIRE 1264 384 1296 384
            WIRE 1296 384 1296 1040
            WIRE 1296 1040 1408 1040
            WIRE 1296 384 1328 384
            WIRE 1328 384 1408 384
            BEGIN DISPLAY 1328 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgdin(1)
            WIRE 1264 448 1328 448
            WIRE 1328 448 1408 448
            BEGIN DISPLAY 1328 448 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(13)
            WIRE 1792 384 1840 384
            WIRE 1840 384 1952 384
            BEGIN DISPLAY 1840 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(14)
            WIRE 1792 448 1840 448
            WIRE 1840 448 1952 448
            BEGIN DISPLAY 1840 448 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 1328 800 1408 800
            WIRE 1328 800 1328 1264
            WIRE 1328 1264 1328 1328
            WIRE 1328 1264 1408 1264
        END BRANCH
        BEGIN BRANCH mirrorwr
            WIRE 1264 1104 1408 1104
        END BRANCH
        BEGIN BRANCH m2
            WIRE 1264 1168 1360 1168
            WIRE 1360 1168 1408 1168
            WIRE 1360 704 1408 704
            WIRE 1360 704 1360 1168
        END BRANCH
        BEGIN BRANCH chraout(14:13)
            WIRE 2048 288 2128 288
            WIRE 2048 288 2048 384
            WIRE 2048 384 2048 448
        END BRANCH
        BEGIN BRANCH prgdin(7:0)
            WIRE 1088 288 1168 288
            WIRE 1168 288 1168 384
            WIRE 1168 384 1168 448
        END BRANCH
        BEGIN INSTANCE XLXI_1 1408 832 R0
            BEGIN DISPLAY 160 -164 ATTR INIT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        INSTANCE XLXI_4 1408 1296 R0
        INSTANCE XLXI_2 1264 1456 R0
        BUSTAP 2048 384 1952 384
        BUSTAP 2048 448 1952 448
        BUSTAP 1168 384 1264 384
        BUSTAP 1168 448 1264 448
        IOMARKER 1264 1104 mirrorwr R180 28
        IOMARKER 1264 1168 m2 R180 28
        IOMARKER 2128 288 chraout(14:13) R0 28
        IOMARKER 1088 288 prgdin(7:0) R180 28
        BEGIN BRANCH XLXN_79
            WIRE 1248 640 1408 640
        END BRANCH
        INSTANCE XLXI_14 992 736 R0
        BEGIN BRANCH prgr_w
            WIRE 944 608 992 608
        END BRANCH
        BEGIN BRANCH prg_ce
            WIRE 944 672 992 672
        END BRANCH
        IOMARKER 944 608 prgr_w R180 28
        IOMARKER 944 672 prg_ce R180 28
        INSTANCE XLXI_15 1856 1072 R0
        IOMARKER 2224 1040 horizontal R0 28
        IOMARKER 2224 1168 vertical R0 28
        BEGIN BRANCH horizontal
            WIRE 2080 1040 2224 1040
        END BRANCH
        BEGIN BRANCH vertical
            WIRE 1792 1040 1808 1040
            WIRE 1808 1040 1856 1040
            WIRE 1808 1040 1808 1168
            WIRE 1808 1168 2096 1168
            WIRE 2096 1168 2224 1168
        END BRANCH
    END SHEET
END SCHEMATIC
