VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL chrdin(7:0)
        SIGNAL framain(8:0)
        SIGNAL m2
        SIGNAL selb
        SIGNAL selc
        SIGNAL seld
        SIGNAL framwr
        SIGNAL framain(9)
        SIGNAL framain(10)
        SIGNAL XLXN_13
        SIGNAL sela
        SIGNAL XLXN_23(7:0)
        SIGNAL XLXN_24(7:0)
        SIGNAL XLXN_56(7:0)
        SIGNAL XLXN_57(7:0)
        SIGNAL framain(10:0)
        SIGNAL chr_wr
        SIGNAL fram_ce
        SIGNAL chrdout(7:0)
        PORT Input chrdin(7:0)
        PORT Input m2
        PORT Input framain(10:0)
        PORT Input chr_wr
        PORT Input fram_ce
        PORT Output chrdout(7:0)
        BEGIN BLOCKDEF ramb4_s8
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            LINE N 480 -288 416 -288 
            LINE N 0 -384 64 -384 
            LINE N 0 -320 64 -320 
            LINE N 0 -448 64 -448 
            RECTANGLE N 0 -208 64 -176 
            LINE N 64 -240 80 -256 
            LINE N 80 -256 64 -272 
            RECTANGLE N 416 -304 480 -272 
            RECTANGLE N 0 -144 64 -112 
            RECTANGLE N 64 -512 416 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF d2_4e
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 64 -48 64 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF mux8_4
            TIMESTAMP 2007 6 17 3 33 44
            RECTANGLE N 64 -384 320 0 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 ramb4_s8
            PIN ADDR(8:0) framain(8:0)
            PIN CLK m2
            PIN DI(7:0) chrdin(7:0)
            PIN EN seld
            PIN RST
            PIN WE framwr
            PIN DO(7:0) XLXN_23(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 ramb4_s8
            PIN ADDR(8:0) framain(8:0)
            PIN CLK m2
            PIN DI(7:0) chrdin(7:0)
            PIN EN selc
            PIN RST
            PIN WE framwr
            PIN DO(7:0) XLXN_24(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_10 ramb4_s8
            BEGIN ATTR INIT_00 "1234123412341234123400000000000000000000000000000000000000000000"
                VERILOG all:0 dp:1nosynth wsynop:1 wsynth:1
                VHDL all:0 gm:1nosynth wa:1 wd:1
                VALUETYPE BitVector 256 h
            END ATTR
            PIN ADDR(8:0) framain(8:0)
            PIN CLK m2
            PIN DI(7:0) chrdin(7:0)
            PIN EN sela
            PIN RST
            PIN WE framwr
            PIN DO(7:0) XLXN_57(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 ramb4_s8
            PIN ADDR(8:0) framain(8:0)
            PIN CLK m2
            PIN DI(7:0) chrdin(7:0)
            PIN EN selb
            PIN RST
            PIN WE framwr
            PIN DO(7:0) XLXN_56(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_14 d2_4e
            PIN A0 framain(9)
            PIN A1 framain(10)
            PIN E XLXN_13
            PIN D0 sela
            PIN D1 selb
            PIN D2 selc
            PIN D3 seld
        END BLOCK
        BEGIN BLOCK XLXI_17 vcc
            PIN P XLXN_13
        END BLOCK
        BEGIN BLOCK XLXI_30 and2b2
            PIN I0 fram_ce
            PIN I1 chr_wr
            PIN O framwr
        END BLOCK
        BEGIN BLOCK XLXI_31 mux8_4
            PIN a(7:0) XLXN_57(7:0)
            PIN b(7:0) XLXN_56(7:0)
            PIN c(7:0) XLXN_24(7:0)
            PIN d(7:0) XLXN_23(7:0)
            PIN sel0 framain(9)
            PIN sel1 framain(10)
            PIN qout(7:0) chrdout(7:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_8 1104 2672 R0
        INSTANCE XLXI_9 1104 2112 R0
        INSTANCE XLXI_11 1104 1552 R0
        BEGIN BRANCH chrdin(7:0)
            WIRE 320 1984 1040 1984
            WIRE 1040 1984 1104 1984
            WIRE 1040 1984 1040 2544
            WIRE 1040 2544 1104 2544
            WIRE 1040 864 1040 1424
            WIRE 1040 1424 1104 1424
            WIRE 1040 1424 1040 1984
            WIRE 1040 864 1104 864
        END BRANCH
        BEGIN BRANCH framain(8:0)
            WIRE 320 1920 976 1920
            WIRE 976 1920 976 2480
            WIRE 976 2480 1104 2480
            WIRE 976 1920 1104 1920
            WIRE 976 800 976 1360
            WIRE 976 1360 1104 1360
            WIRE 976 1360 976 1920
            WIRE 976 800 1104 800
            BEGIN DISPLAY 320 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH m2
            WIRE 320 1856 928 1856
            WIRE 928 1856 1104 1856
            WIRE 928 1856 928 2416
            WIRE 928 2416 1104 2416
            WIRE 928 736 928 1296
            WIRE 928 1296 1104 1296
            WIRE 928 1296 928 1856
            WIRE 928 736 1104 736
        END BRANCH
        IOMARKER 320 1856 m2 R180 28
        IOMARKER 320 1984 chrdin(7:0) R180 28
        BEGIN BRANCH selb
            WIRE 720 672 736 672
            WIRE 736 672 848 672
            WIRE 848 672 848 1168
            WIRE 848 1168 1104 1168
            BEGIN DISPLAY 736 672 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_14 336 928 R0
        BEGIN BRANCH XLXN_13
            WIRE 304 800 336 800
        END BRANCH
        BEGIN BRANCH selc
            WIRE 720 736 736 736
            WIRE 736 736 784 736
            WIRE 784 736 784 1728
            WIRE 784 1728 1104 1728
            BEGIN DISPLAY 736 736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH seld
            WIRE 720 800 720 832
            WIRE 720 832 720 2288
            WIRE 720 2288 1104 2288
            BEGIN DISPLAY 720 832 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH sela
            WIRE 720 608 736 608
            WIRE 736 608 1104 608
            BEGIN DISPLAY 736 608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_17 240 800 R0
        BEGIN BRANCH XLXN_23(7:0)
            WIRE 1584 2384 1776 2384
            WIRE 1776 1392 1968 1392
            WIRE 1776 1392 1776 2384
        END BRANCH
        BEGIN BRANCH XLXN_24(7:0)
            WIRE 1584 1824 1600 1824
            WIRE 1600 1328 1968 1328
            WIRE 1600 1328 1600 1824
        END BRANCH
        BEGIN BRANCH XLXN_56(7:0)
            WIRE 1584 1264 1968 1264
        END BRANCH
        BEGIN BRANCH framain(9)
            WIRE 192 608 336 608
            BEGIN DISPLAY 192 608 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH framain(10)
            WIRE 192 672 336 672
            BEGIN DISPLAY 192 672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH framain(10:0)
            WIRE 304 1168 624 1168
        END BRANCH
        IOMARKER 304 1168 framain(10:0) R180 28
        BEGIN BRANCH framwr
            WIRE 736 336 896 336
            WIRE 896 336 896 544
            WIRE 896 544 896 1104
            WIRE 896 1104 1104 1104
            WIRE 896 1104 896 1664
            WIRE 896 1664 1104 1664
            WIRE 896 1664 896 2224
            WIRE 896 2224 1104 2224
            WIRE 896 544 1104 544
        END BRANCH
        BEGIN BRANCH chr_wr
            WIRE 320 304 480 304
        END BRANCH
        IOMARKER 320 304 chr_wr R180 28
        IOMARKER 320 368 fram_ce R180 28
        INSTANCE XLXI_30 480 432 R0
        BEGIN BRANCH fram_ce
            WIRE 320 368 480 368
        END BRANCH
        INSTANCE XLXI_10 1104 992 R0
        BEGIN BRANCH XLXN_57(7:0)
            WIRE 1584 704 1600 704
            WIRE 1600 704 1600 1200
            WIRE 1600 1200 1968 1200
        END BRANCH
        BEGIN BRANCH framain(9)
            WIRE 1920 1456 1968 1456
            BEGIN DISPLAY 1920 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH framain(10)
            WIRE 1920 1520 1968 1520
            BEGIN DISPLAY 1920 1520 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrdout(7:0)
            WIRE 2352 1200 2608 1200
        END BRANCH
        IOMARKER 2608 1200 chrdout(7:0) R0 28
        BEGIN INSTANCE XLXI_31 1968 1552 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
