VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_3
        SIGNAL prgdout(7:0)
        SIGNAL nesprgdin(7:0)
        SIGNAL newdwr
        SIGNAL m2
        SIGNAL nesprgdin(0)
        SIGNAL enable8wr
        SIGNAL comparedwr
        SIGNAL addresslowr
        SIGNAL addresshiwr
        SIGNAL XLXN_24(7:0)
        SIGNAL genieain(7:0)
        SIGNAL genieain(15:8)
        SIGNAL genieain(15:0)
        SIGNAL prgain(15:0)
        SIGNAL genieain(15)
        SIGNAL match
        SIGNAL XLXN_29
        SIGNAL XLXN_30
        SIGNAL XLXN_31
        SIGNAL XLXN_32
        SIGNAL ramprgdin(7:0)
        PORT Output prgdout(7:0)
        PORT Input nesprgdin(7:0)
        PORT Input newdwr
        PORT Input m2
        PORT Input enable8wr
        PORT Input comparedwr
        PORT Input addresslowr
        PORT Input addresshiwr
        PORT Input prgain(15:0)
        PORT Output match
        PORT Input ramprgdin(7:0)
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF comp16
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            RECTANGLE N 0 -140 64 -116 
            LINE N 0 -320 64 -320 
            RECTANGLE N 0 -332 64 -308 
            LINE N 384 -224 320 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF comp8
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 384 -224 320 -224 
            RECTANGLE N 0 -332 64 -308 
            LINE N 0 -320 64 -320 
            RECTANGLE N 0 -140 64 -116 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF fde
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 32 -64 
            CIRCLE N 32 -76 56 -52 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            LINE N 112 -48 48 -48 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -144 48 -144 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            ARC N 28 -224 204 -48 112 -48 192 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF and3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCK XLXI_6 fd8ce
            PIN C m2
            PIN CE comparedwr
            PIN CLR
            PIN D(7:0) nesprgdin(7:0)
            PIN Q(7:0) XLXN_24(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_7 fd8ce
            PIN C m2
            PIN CE addresslowr
            PIN CLR
            PIN D(7:0) nesprgdin(7:0)
            PIN Q(7:0) genieain(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_8 fd8ce
            PIN C m2
            PIN CE addresshiwr
            PIN CLR
            PIN D(7:0) nesprgdin(7:0)
            PIN Q(7:0) genieain(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_12 comp8
            PIN A(7:0) ramprgdin(7:0)
            PIN B(7:0) XLXN_24(7:0)
            PIN EQ XLXN_29
        END BLOCK
        BEGIN BLOCK XLXI_11 comp16
            PIN A(15:0) prgain(15:0)
            PIN B(15:0) genieain(15:0)
            PIN EQ XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_17 fde
            PIN C m2
            PIN CE enable8wr
            PIN D nesprgdin(0)
            PIN Q XLXN_32
        END BLOCK
        BEGIN BLOCK XLXI_5 fd8ce
            PIN C m2
            PIN CE newdwr
            PIN CLR
            PIN D(7:0) nesprgdin(7:0)
            PIN Q(7:0) prgdout(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_37 and2
            PIN I0 XLXN_29
            PIN I1 XLXN_32
            PIN O XLXN_30
        END BLOCK
        BEGIN BLOCK XLXI_39 or2b1
            PIN I0 XLXN_32
            PIN I1 XLXN_30
            PIN O XLXN_31
        END BLOCK
        BEGIN BLOCK XLXI_40 and3
            PIN I0 genieain(15)
            PIN I1 XLXN_31
            PIN I2 XLXN_3
            PIN O match
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_6 592 1088 R0
        INSTANCE XLXI_7 592 1424 R0
        INSTANCE XLXI_8 592 1760 R0
        INSTANCE XLXI_11 1264 1552 R0
        INSTANCE XLXI_17 592 768 R0
        INSTANCE XLXI_5 592 416 R0
        BEGIN BRANCH XLXN_3
            WIRE 1648 1328 2176 1328
            WIRE 2176 608 2176 1328
            WIRE 2176 608 2224 608
        END BRANCH
        BEGIN BRANCH prgdout(7:0)
            WIRE 976 160 992 160
            WIRE 992 160 1120 160
        END BRANCH
        BEGIN BRANCH nesprgdin(7:0)
            WIRE 464 160 592 160
        END BRANCH
        BEGIN BRANCH newdwr
            WIRE 464 224 592 224
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 288 592 288
        END BRANCH
        BEGIN BRANCH nesprgdin(0)
            WIRE 464 512 592 512
            BEGIN DISPLAY 464 512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH enable8wr
            WIRE 464 576 592 576
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 640 592 640
            BEGIN DISPLAY 464 640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nesprgdin(7:0)
            WIRE 464 832 592 832
            BEGIN DISPLAY 464 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH comparedwr
            WIRE 464 896 592 896
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 960 592 960
            BEGIN DISPLAY 464 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nesprgdin(7:0)
            WIRE 464 1168 592 1168
            BEGIN DISPLAY 464 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH addresslowr
            WIRE 464 1232 592 1232
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 1296 592 1296
            BEGIN DISPLAY 464 1296 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nesprgdin(7:0)
            WIRE 464 1504 592 1504
            BEGIN DISPLAY 464 1504 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH addresshiwr
            WIRE 464 1568 592 1568
        END BRANCH
        BEGIN BRANCH m2
            WIRE 464 1632 592 1632
            BEGIN DISPLAY 464 1632 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_24(7:0)
            WIRE 976 832 1168 832
        END BRANCH
        BEGIN BRANCH genieain(7:0)
            WIRE 976 1168 1072 1168
            BEGIN DISPLAY 1072 1168 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH genieain(15:8)
            WIRE 976 1504 1088 1504
            BEGIN DISPLAY 1088 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH genieain(15:0)
            WIRE 1168 1424 1264 1424
            BEGIN DISPLAY 1168 1424 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(15:0)
            WIRE 1184 1232 1264 1232
        END BRANCH
        BEGIN BRANCH genieain(15)
            WIRE 2096 384 2176 384
            WIRE 2176 384 2176 480
            WIRE 2176 480 2224 480
            BEGIN DISPLAY 2096 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 464 160 nesprgdin(7:0) R180 28
        IOMARKER 464 224 newdwr R180 28
        IOMARKER 464 288 m2 R180 28
        IOMARKER 464 576 enable8wr R180 28
        IOMARKER 464 896 comparedwr R180 28
        IOMARKER 464 1232 addresslowr R180 28
        IOMARKER 464 1568 addresshiwr R180 28
        IOMARKER 1184 1232 prgain(15:0) R180 28
        BEGIN BRANCH match
            WIRE 2480 544 2544 544
        END BRANCH
        IOMARKER 2544 544 match R0 28
        INSTANCE XLXI_12 1168 960 R0
        INSTANCE XLXI_37 1616 800 R0
        BEGIN BRANCH XLXN_29
            WIRE 1552 736 1616 736
        END BRANCH
        BEGIN BRANCH XLXN_31
            WIRE 2192 544 2224 544
        END BRANCH
        BEGIN BRANCH XLXN_32
            WIRE 976 512 1600 512
            WIRE 1600 512 1600 672
            WIRE 1600 672 1616 672
            WIRE 1600 512 1936 512
        END BRANCH
        INSTANCE XLXI_39 1936 448 M180
        BEGIN BRANCH XLXN_30
            WIRE 1872 704 1888 704
            WIRE 1888 576 1936 576
            WIRE 1888 576 1888 704
        END BRANCH
        INSTANCE XLXI_40 2224 416 M180
        IOMARKER 1120 160 prgdout(7:0) R0 28
        BEGIN BRANCH ramprgdin(7:0)
            WIRE 1120 640 1168 640
        END BRANCH
        IOMARKER 1120 640 ramprgdin(7:0) R180 28
    END SHEET
END SCHEMATIC
