VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL prgdin(7:0)
        SIGNAL prgsizewr
        SIGNAL m2
        SIGNAL prgsize(7:0)
        SIGNAL prgain(13)
        SIGNAL prgain(14)
        SIGNAL prgain(15)
        SIGNAL prgain(16)
        SIGNAL prgain(17)
        SIGNAL prgain(18)
        SIGNAL prgain(18:13)
        SIGNAL prgsize(5)
        SIGNAL prgsize(4)
        SIGNAL prgsize(3)
        SIGNAL prgsize(2)
        SIGNAL prgsize(1)
        SIGNAL prgsize(0)
        SIGNAL prgaout(18)
        SIGNAL prgaout(17)
        SIGNAL prgaout(16)
        SIGNAL prgaout(14)
        SIGNAL prgaout(13)
        SIGNAL prgaout(15)
        SIGNAL prgaout(18:13)
        SIGNAL chrain(13)
        SIGNAL chrain(14)
        SIGNAL chrain(15)
        SIGNAL chrain(16)
        SIGNAL chrain(17)
        SIGNAL chrain(18)
        SIGNAL chrsize(6)
        SIGNAL chrsize(5)
        SIGNAL chrsize(4)
        SIGNAL chrsize(3)
        SIGNAL chrsize(2)
        SIGNAL chrsize(1)
        SIGNAL chrain(12)
        SIGNAL chrsize(7:0)
        SIGNAL chrain(18:12)
        SIGNAL chrsize(0)
        SIGNAL prgsize(7)
        SIGNAL wramen
        SIGNAL chrramen
        SIGNAL chrsize(7)
        SIGNAL chraout(18:12)
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL XLXN_8
        SIGNAL chraout(18)
        SIGNAL chraout(17)
        SIGNAL chraout(16)
        SIGNAL chraout(15)
        SIGNAL chraout(14)
        SIGNAL chraout(13)
        SIGNAL chraout(12)
        SIGNAL nesclk
        SIGNAL chrsizewr
        PORT Input prgdin(7:0)
        PORT Input prgsizewr
        PORT Input m2
        PORT Input prgain(18:13)
        PORT Output prgaout(18:13)
        PORT Input chrain(18:12)
        PORT Output wramen
        PORT Output chrramen
        PORT Output chraout(18:12)
        PORT Input nesclk
        PORT Input chrsizewr
        BEGIN BLOCKDEF fd8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd8ce
            BEGIN ATTR INIT 0
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
                VALUETYPE Integer
            END ATTR
            PIN C m2
            PIN CE prgsizewr
            PIN CLR
            PIN D(7:0) prgdin(7:0)
            PIN Q(7:0) prgsize(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 fd8ce
            BEGIN ATTR INIT 0
                VERILOG all:0 wsynth:1
                VHDL all:0 wa:1 wd:1
                VALUETYPE Integer
            END ATTR
            PIN C m2
            PIN CE chrsizewr
            PIN CLR
            PIN D(7:0) prgdin(7:0)
            PIN Q(7:0) chrsize(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 and2
            PIN I0 prgain(18)
            PIN I1 prgsize(5)
            PIN O prgaout(18)
        END BLOCK
        BEGIN BLOCK XLXI_4 and2
            PIN I0 prgain(17)
            PIN I1 prgsize(4)
            PIN O prgaout(17)
        END BLOCK
        BEGIN BLOCK XLXI_5 and2
            PIN I0 prgain(16)
            PIN I1 prgsize(3)
            PIN O prgaout(16)
        END BLOCK
        BEGIN BLOCK XLXI_6 and2
            PIN I0 prgain(15)
            PIN I1 prgsize(2)
            PIN O prgaout(15)
        END BLOCK
        BEGIN BLOCK XLXI_7 and2
            PIN I0 prgain(14)
            PIN I1 prgsize(1)
            PIN O prgaout(14)
        END BLOCK
        BEGIN BLOCK XLXI_8 and2
            PIN I0 prgain(13)
            PIN I1 prgsize(0)
            PIN O prgaout(13)
        END BLOCK
        BEGIN BLOCK XLXI_39 and2
            PIN I0 chrain(18)
            PIN I1 chrsize(6)
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_40 and2
            PIN I0 chrain(17)
            PIN I1 chrsize(5)
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_41 and2
            PIN I0 chrain(16)
            PIN I1 chrsize(4)
            PIN O XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_42 and2
            PIN I0 chrain(15)
            PIN I1 chrsize(3)
            PIN O XLXN_5
        END BLOCK
        BEGIN BLOCK XLXI_43 and2
            PIN I0 chrain(14)
            PIN I1 chrsize(2)
            PIN O XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_44 and2
            PIN I0 chrain(13)
            PIN I1 chrsize(1)
            PIN O chraout(13)
        END BLOCK
        BEGIN BLOCK XLXI_45 and2
            PIN I0 chrain(12)
            PIN I1 chrsize(0)
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_48 buf
            PIN I prgsize(7)
            PIN O wramen
        END BLOCK
        BEGIN BLOCK XLXI_49 buf
            PIN I chrsize(7)
            PIN O chrramen
        END BLOCK
        BEGIN BLOCK XLXI_52 buf
            PIN I XLXN_2
            PIN O chraout(18)
        END BLOCK
        BEGIN BLOCK XLXI_53 buf
            PIN I XLXN_3
            PIN O chraout(17)
        END BLOCK
        BEGIN BLOCK XLXI_54 buf
            PIN I XLXN_4
            PIN O chraout(16)
        END BLOCK
        BEGIN BLOCK XLXI_55 buf
            PIN I XLXN_5
            PIN O chraout(15)
        END BLOCK
        BEGIN BLOCK XLXI_56 buf
            PIN I XLXN_6
            PIN O chraout(14)
        END BLOCK
        BEGIN BLOCK XLXI_60 buf
            PIN I XLXN_8
            PIN O chraout(12)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 896 848 R0
            BEGIN DISPLAY 160 -180 ATTR INIT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE XLXI_2 912 1728 R0
            BEGIN DISPLAY 144 -180 ATTR INIT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH prgdin(7:0)
            WIRE 400 592 656 592
            WIRE 656 592 656 1472
            WIRE 656 1472 912 1472
            WIRE 656 592 896 592
        END BRANCH
        BEGIN BRANCH prgsizewr
            WIRE 400 656 896 656
        END BRANCH
        IOMARKER 400 592 prgdin(7:0) R180 28
        IOMARKER 400 656 prgsizewr R180 28
        IOMARKER 384 720 m2 R180 28
        BEGIN BRANCH prgsize(7:0)
            WIRE 1280 592 1328 592
            WIRE 1328 592 1328 704
            WIRE 1328 704 1328 800
            WIRE 1328 800 1328 896
            WIRE 1328 896 1328 992
            WIRE 1328 992 1328 1088
            WIRE 1328 1088 1328 1184
            WIRE 1328 1184 1328 1360
            BEGIN DISPLAY 1328 592 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1328 800 1424 800
        BUSTAP 1328 896 1424 896
        BUSTAP 1328 992 1424 992
        BUSTAP 1328 1088 1424 1088
        BUSTAP 1328 1184 1424 1184
        BUSTAP 1328 704 1424 704
        INSTANCE XLXI_3 1664 832 R0
        INSTANCE XLXI_4 1664 928 R0
        INSTANCE XLXI_5 1664 1024 R0
        INSTANCE XLXI_6 1664 1120 R0
        INSTANCE XLXI_7 1664 1216 R0
        INSTANCE XLXI_8 1664 1312 R0
        BUSTAP 1536 1248 1632 1248
        BUSTAP 1536 1152 1632 1152
        BUSTAP 1536 1056 1632 1056
        BUSTAP 1536 960 1632 960
        BUSTAP 1536 864 1632 864
        BUSTAP 1536 768 1632 768
        BEGIN BRANCH prgain(13)
            WIRE 1632 1248 1648 1248
            WIRE 1648 1248 1664 1248
            BEGIN DISPLAY 1648 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(14)
            WIRE 1632 1152 1648 1152
            WIRE 1648 1152 1664 1152
            BEGIN DISPLAY 1648 1152 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(15)
            WIRE 1632 1056 1648 1056
            WIRE 1648 1056 1664 1056
            BEGIN DISPLAY 1648 1056 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(16)
            WIRE 1632 960 1648 960
            WIRE 1648 960 1664 960
            BEGIN DISPLAY 1648 960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(17)
            WIRE 1632 864 1648 864
            WIRE 1648 864 1664 864
            BEGIN DISPLAY 1648 864 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(18)
            WIRE 1632 768 1648 768
            WIRE 1648 768 1664 768
            BEGIN DISPLAY 1648 768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgain(18:13)
            WIRE 432 320 768 320
            WIRE 768 320 1536 320
            WIRE 1536 320 1536 768
            WIRE 1536 768 1536 864
            WIRE 1536 864 1536 960
            WIRE 1536 960 1536 1056
            WIRE 1536 1056 1536 1152
            WIRE 1536 1152 1536 1248
            BEGIN DISPLAY 768 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 432 320 prgain(18:13) R180 28
        BEGIN BRANCH prgsize(5)
            WIRE 1424 704 1488 704
            WIRE 1488 704 1664 704
            BEGIN DISPLAY 1488 704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgsize(4)
            WIRE 1424 800 1488 800
            WIRE 1488 800 1664 800
            BEGIN DISPLAY 1488 800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgsize(3)
            WIRE 1424 896 1504 896
            WIRE 1504 896 1664 896
            BEGIN DISPLAY 1504 896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgsize(2)
            WIRE 1424 992 1504 992
            WIRE 1504 992 1664 992
            BEGIN DISPLAY 1504 992 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgsize(1)
            WIRE 1424 1088 1504 1088
            WIRE 1504 1088 1664 1088
            BEGIN DISPLAY 1504 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgsize(0)
            WIRE 1424 1184 1504 1184
            WIRE 1504 1184 1664 1184
            BEGIN DISPLAY 1504 1184 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2080 736 1984 736
        BUSTAP 2080 832 1984 832
        BUSTAP 2080 928 1984 928
        BUSTAP 2080 1024 1984 1024
        BUSTAP 2080 1120 1984 1120
        BUSTAP 2080 1216 1984 1216
        BEGIN BRANCH prgaout(18)
            WIRE 1920 736 1952 736
            WIRE 1952 736 1984 736
            BEGIN DISPLAY 1952 736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgaout(17)
            WIRE 1920 832 1952 832
            WIRE 1952 832 1984 832
            BEGIN DISPLAY 1952 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgaout(16)
            WIRE 1920 928 1952 928
            WIRE 1952 928 1984 928
            BEGIN DISPLAY 1952 928 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgaout(14)
            WIRE 1920 1120 1968 1120
            WIRE 1968 1120 1984 1120
            BEGIN DISPLAY 1968 1120 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgaout(13)
            WIRE 1920 1216 1952 1216
            WIRE 1952 1216 1984 1216
            BEGIN DISPLAY 1952 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgaout(15)
            WIRE 1920 1024 1952 1024
            WIRE 1952 1024 1984 1024
            BEGIN DISPLAY 1952 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH prgaout(18:13)
            WIRE 2080 320 2336 320
            WIRE 2080 320 2080 736
            WIRE 2080 736 2080 832
            WIRE 2080 832 2080 928
            WIRE 2080 928 2080 1024
            WIRE 2080 1024 2080 1120
            WIRE 2080 1120 2080 1216
        END BRANCH
        IOMARKER 2336 320 prgaout(18:13) R0 28
        BUSTAP 1328 1680 1424 1680
        BUSTAP 1328 1776 1424 1776
        BUSTAP 1328 1872 1424 1872
        BUSTAP 1328 1968 1424 1968
        BUSTAP 1328 2064 1424 2064
        BUSTAP 1328 1584 1424 1584
        INSTANCE XLXI_39 1664 1712 R0
        INSTANCE XLXI_40 1664 1808 R0
        INSTANCE XLXI_41 1664 1904 R0
        INSTANCE XLXI_42 1664 2000 R0
        INSTANCE XLXI_43 1664 2096 R0
        INSTANCE XLXI_44 1664 2192 R0
        BUSTAP 1536 2128 1632 2128
        BUSTAP 1536 2032 1632 2032
        BUSTAP 1536 1936 1632 1936
        BUSTAP 1536 1840 1632 1840
        BUSTAP 1536 1744 1632 1744
        BUSTAP 1536 1648 1632 1648
        BEGIN BRANCH chrain(13)
            WIRE 1632 2128 1648 2128
            WIRE 1648 2128 1664 2128
            BEGIN DISPLAY 1648 2128 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrain(14)
            WIRE 1632 2032 1648 2032
            WIRE 1648 2032 1664 2032
            BEGIN DISPLAY 1648 2032 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrain(15)
            WIRE 1632 1936 1648 1936
            WIRE 1648 1936 1664 1936
            BEGIN DISPLAY 1648 1936 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrain(16)
            WIRE 1632 1840 1648 1840
            WIRE 1648 1840 1664 1840
            BEGIN DISPLAY 1648 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrain(17)
            WIRE 1632 1744 1648 1744
            WIRE 1648 1744 1664 1744
            BEGIN DISPLAY 1648 1744 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrain(18)
            WIRE 1632 1648 1648 1648
            WIRE 1648 1648 1664 1648
            BEGIN DISPLAY 1648 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(6)
            WIRE 1424 1584 1488 1584
            WIRE 1488 1584 1664 1584
            BEGIN DISPLAY 1488 1584 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(5)
            WIRE 1424 1680 1488 1680
            WIRE 1488 1680 1664 1680
            BEGIN DISPLAY 1488 1680 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(4)
            WIRE 1424 1776 1504 1776
            WIRE 1504 1776 1664 1776
            BEGIN DISPLAY 1504 1776 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(3)
            WIRE 1424 1872 1504 1872
            WIRE 1504 1872 1664 1872
            BEGIN DISPLAY 1504 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(2)
            WIRE 1424 1968 1504 1968
            WIRE 1504 1968 1664 1968
            BEGIN DISPLAY 1504 1968 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(1)
            WIRE 1424 2064 1504 2064
            WIRE 1504 2064 1664 2064
            BEGIN DISPLAY 1504 2064 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1328 2160 1424 2160
        INSTANCE XLXI_45 1664 2288 R0
        BUSTAP 1536 2224 1632 2224
        BEGIN BRANCH chrain(12)
            WIRE 1632 2224 1648 2224
            WIRE 1648 2224 1664 2224
            BEGIN DISPLAY 1648 2224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(7:0)
            WIRE 1296 1472 1328 1472
            WIRE 1328 1472 1328 1584
            WIRE 1328 1584 1328 1680
            WIRE 1328 1680 1328 1776
            WIRE 1328 1776 1328 1872
            WIRE 1328 1872 1328 1968
            WIRE 1328 1968 1328 2064
            WIRE 1328 2064 1328 2160
            WIRE 1328 2160 1328 2496
            BEGIN DISPLAY 1328 1472 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrsize(0)
            WIRE 1424 2160 1504 2160
            WIRE 1504 2160 1664 2160
            BEGIN DISPLAY 1504 2160 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chrain(18:12)
            WIRE 1168 2336 1536 2336
            WIRE 1536 1648 1536 1744
            WIRE 1536 1744 1536 1840
            WIRE 1536 1840 1536 1936
            WIRE 1536 1936 1536 2032
            WIRE 1536 2032 1536 2128
            WIRE 1536 2128 1536 2224
            WIRE 1536 2224 1536 2336
        END BRANCH
        IOMARKER 1168 2336 chrain(18:12) R180 28
        BUSTAP 1328 2496 1424 2496
        BEGIN BRANCH chrsize(7)
            WIRE 1424 2496 1520 2496
            WIRE 1520 2496 1680 2496
            BEGIN DISPLAY 1520 2496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1328 1360 1424 1360
        BEGIN BRANCH prgsize(7)
            WIRE 1424 1360 1504 1360
            WIRE 1504 1360 1616 1360
            BEGIN DISPLAY 1504 1360 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_48 1616 1392 R0
        INSTANCE XLXI_49 1680 2528 R0
        BEGIN BRANCH wramen
            WIRE 1840 1360 2080 1360
        END BRANCH
        BEGIN BRANCH chrramen
            WIRE 1904 2496 2080 2496
        END BRANCH
        IOMARKER 2080 1360 wramen R0 28
        IOMARKER 2080 2496 chrramen R0 28
        BEGIN BRANCH chraout(18:12)
            WIRE 2992 1248 3120 1248
        END BRANCH
        IOMARKER 3120 1248 chraout(18:12) R0 28
        BEGIN BRANCH XLXN_2
            WIRE 1920 1616 2208 1616
            WIRE 2208 1424 2208 1616
            WIRE 2208 1424 2512 1424
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1920 1712 2224 1712
            WIRE 2224 1488 2224 1712
            WIRE 2224 1488 2512 1488
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1920 1808 2240 1808
            WIRE 2240 1552 2240 1808
            WIRE 2240 1552 2512 1552
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 1920 1904 2256 1904
            WIRE 2256 1616 2256 1904
            WIRE 2256 1616 2512 1616
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 1920 2000 2208 2000
            WIRE 2208 1968 2208 2000
            WIRE 2208 1968 2512 1968
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 1920 2192 2224 2192
            WIRE 2224 2096 2224 2192
            WIRE 2224 2096 2512 2096
        END BRANCH
        INSTANCE XLXI_52 2512 1456 R0
        INSTANCE XLXI_53 2512 1520 R0
        INSTANCE XLXI_54 2512 1584 R0
        INSTANCE XLXI_55 2512 1648 R0
        INSTANCE XLXI_56 2512 2000 R0
        BEGIN BRANCH chraout(18)
            WIRE 2736 1424 2848 1424
            BEGIN DISPLAY 2848 1424 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(17)
            WIRE 2736 1488 2848 1488
            BEGIN DISPLAY 2848 1488 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(16)
            WIRE 2736 1552 2848 1552
            BEGIN DISPLAY 2848 1552 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(15)
            WIRE 2736 1616 2848 1616
            BEGIN DISPLAY 2848 1616 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(14)
            WIRE 2736 1968 2832 1968
            BEGIN DISPLAY 2832 1968 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(13)
            WIRE 1920 2096 2208 2096
            WIRE 2208 2032 2208 2096
            WIRE 2208 2032 2512 2032
            WIRE 2432 1856 2432 2016
            WIRE 2432 2016 2512 2016
            WIRE 2512 2016 2512 2032
            WIRE 2432 1856 2960 1856
            WIRE 2960 1856 2960 2032
            WIRE 2960 2032 3056 2032
            BEGIN DISPLAY 3056 2032 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH chraout(12)
            WIRE 2736 2096 3056 2096
            BEGIN DISPLAY 3056 2096 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nesclk
            WIRE 2432 2224 2512 2224
        END BRANCH
        IOMARKER 2432 2224 nesclk R180 28
        INSTANCE XLXI_60 2512 2128 R0
        BEGIN BRANCH m2
            WIRE 384 720 896 720
        END BRANCH
        BEGIN BRANCH chrsizewr
            WIRE 752 1536 912 1536
        END BRANCH
        BEGIN BRANCH m2
            WIRE 816 1600 912 1600
            BEGIN DISPLAY 816 1600 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 752 1536 chrsizewr R180 28
    END SHEET
END SCHEMATIC
